Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.sql
Class CharTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.sql.VarcharTypeDescriptor
          org.hibernate.type.descriptor.sql.CharTypeDescriptor

All Implemented Interfaces:
  Serializable, SqlTypeDescriptor

    public class CharTypeDescriptor

extends VarcharTypeDescriptor

Descriptor for `CHAR` handling.

See Also:
  Serialized Form

Field Summary
`static CharTypeDescriptor` | `INSTANCE`

Constructor Summary
`CharTypeDescriptor()`

Method Summary
`int` | `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Methods inherited from class org.hibernate.type.descriptor.sql.VarcharTypeDescriptor
`canBeRemapped, getBinder, getExtractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CharTypeDescriptor INSTANCE

Constructor Detail

### CharTypeDescriptor

    public CharTypeDescriptor()

Method Detail

### getSqlType

    public int getSqlType()

  Description copied from interface: `SqlTypeDescriptor`
  Return the JDBC type-code for the column mapped by this type.

  Specified by:
    `getSqlType` in interface `SqlTypeDescriptor`
  Overrides:
    `getSqlType` in class `VarcharTypeDescriptor`
  Returns:
    typeCode The JDBC type-code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.